Bug 171357 - Kernel panic on boot
Kernel panic on boot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-20 21:07 EDT by Marc Schwartz
Modified: 2015-01-04 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-10 16:36:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Schwartz 2005-10-20 21:07:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Dell Inspiron 5150 laptop with today's kernel update panics on boot. I should note that a similar error occurred with the 526 kernel as well, but did not have a chance to copy the panic error msg. I used a digital camera to collect the panic messages today and copied these over to text. The output follows. All services were [OK] except the nifd, for which there is no output status.

...
Starting system logger
Starting kernel logger
Starting irqbalance
Starting portmap
Starting NFS statd
Starting auditd
Starting RPC idmapd
Starting Bluetooth services
Mounting other filesystems
Starting lm_sensors
Starting automount
Starting nifd                 [No Status output]
Starting mDNSResponder
Starting smartd
Starting acpi daemon
Starting hpoj
Starting cups: Kernel panic - not syncing: arch/i386/kernel/semaphore.c:102: spin_is_locked on uninitialized spinlock f7c4b8a0.
(Not tainted)

[<c0127ba8>] panic+0x45/0x1b4
[<c03ff065>] __down_interuptible+0x4d3/0x586
[<c02acfb0>] init_dev+0x25f/0x55d
[<c0121826>] default_wake_function+0x0/0xc
[<c03ff12b>] __down_failed_interuptible+0x7/0xc
[<c02e158e>] .text.lock.serial_core+0xfb/0x21d
[<c02dfd5e>] uart_open+0x2c/0xef
[<c02ae6b2>] tty_open+0x10e/0x551
[<c025966e>] kobject_get+0xf/0x13
[<c01b0a1d>] cdev_get+0xe/0x4c
[<c01b1601>] exact_lock+0x7/0xd
[<c02ea4b4>] kobj_lookup+0x11c/0x15a
[<c01b0be3>] chrdev_open+0x15e/0x62a
[<c019f96f>] dentry_open+0xb8/0x1be
[<c019f8b1>] filp_open+0x40/0x46
[<c019fb29>] get_unused_fd+0xb4/0x2db
[<c025dd4b>] strncpy_from_user+0x3d/0x5f
[<c01b7e17>] getname+0x87/0xc5
[<c01a0257>] sys_open+0x35/0xb1
[<c0104465>] syscall_call+0x7/0xb


If you require further information on the above or more information on my hardware, let me know.


Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1532_FC4

How reproducible:
Always

Steps to Reproduce:
1. Boot the system with today's kernel
  

Actual Results:  Kernel panic as above

Expected Results:  Successful boot

Additional info:
Comment 1 Brian Gaynor 2005-10-26 19:23:47 EDT
Seeing something very similar with an Inspiron 5160 and 2.6.13-1.1532, happy to
provide additional info, tests, etc.
Comment 2 Brian Gaynor 2005-10-31 19:43:11 EST
2.6.14-1.1633_FC4smp (from updates-testing) appears to be working fine on my
Inspiron 5160 with none of the problems I saw in 2.6.13-xxxx.
Comment 3 Marc Schwartz 2005-10-31 21:19:53 EST
Bingo! Indeed, a successful boot with 2.6.14-1.1633_FC4 (non-SMP).

Thanks for the heads up Brian!
Comment 4 Dave Jones 2005-11-10 14:31:01 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 5 Marc Schwartz 2005-11-10 15:22:43 EST
Dave, as per my comment #3 above, this bug was resolved with the .14 testing
kernels and continues to be fine with today's stable release. So we can put this
one to bed.

BTW, on an slightly related note, is there a timeframe for the /proc/i8k fix
that we discussed on the FC Test list? This is far from critical and there are
of course, workarounds for the time being.

Thanks for your time on this!
Comment 6 Brian Gaynor 2005-11-10 16:16:26 EST
Dave, my results are the same as Marcs, .14 has been working great and so far no
problems with today's 1637 (smp).
Comment 7 Dave Jones 2005-11-10 16:36:57 EST
ok, will close.
Marc, the i8k thing I thought I had fixed already in the current update.
I'll double check, and if I've missed anything, I'll drop it into the next update.

Note You need to log in before you can comment on or make changes to this bug.